<?php
include 'header.php';
include 'mysqli_connect.php';

$id = $comment = $error = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (empty($_POST['id']) || empty($_POST['comment'])) {
        $error = "All fields are required.";
    } else {
        $id = $_POST['id'];
        $comment = $_POST['comment'];
        
        $sql = "UPDATE guestbook SET comment = ? WHERE id = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("si", $comment, $id);
        
        if ($stmt->execute()) {
            echo "Comment updated successfully.";
        } else {
            echo "Error updating comment: " . $conn->error;
        }
    }
}
?>

<h2>Update Comment</h2>
<form method="post" action="update.php">
    <label for="id">ID:</label>
    <input type="text" name="id" id="id" value="<?php echo htmlspecialchars($id); ?>"><br>

    <label for="comment">New Comment:</label>
    <textarea name="comment" id="comment"><?php echo htmlspecialchars($comment); ?></textarea><br>

    <button type="submit">Update Comment</button>
</form>
<?php if ($error) echo "<p style='color:red;'>$error</p>"; ?>

<?php include 'footer.php'; ?>
