<?php
session_start();
include('mysqli_connect.php');

// Restrict access to admins only
if (!isset($_SESSION['is_admin']) || $_SESSION['is_admin'] != 1) {
    header('Location: index.php');
    exit();
}

// Handle role updates
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action'])) {
    $user_id = intval($_POST['user_id']);
    if ($_POST['action'] === 'promote') {
        $query = "UPDATE users SET is_admin = 1 WHERE user_id = $user_id";
        mysqli_query($dbc, $query) or die(mysqli_error($dbc));
    } elseif ($_POST['action'] === 'demote') {
        $query = "UPDATE users SET is_admin = 0 WHERE user_id = $user_id";
        mysqli_query($dbc, $query) or die(mysqli_error($dbc));
    } elseif ($_POST['action'] === 'delete') {
        $query = "DELETE FROM users WHERE user_id = $user_id";
        mysqli_query($dbc, $query) or die(mysqli_error($dbc));
    }
}

// Fetch all users
$query = "SELECT user_id, first_name, last_name, email, is_admin FROM users";
$result = mysqli_query($dbc, $query);
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<?php include 'navbar.php'; ?>
<div class="container">
    <h1>Manage Users</h1>
    <table class="user-table">
        <thead>
            <tr>
                <th>User ID</th>
                <th>Name</th>
                <th>Email</th>
                <th>Role</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php while ($row = mysqli_fetch_assoc($result)): ?>
                <tr>
                    <td><?= $row['user_id'] ?></td>
                    <td><?= htmlspecialchars($row['first_name'] . ' ' . $row['last_name']) ?></td>
                    <td><?= htmlspecialchars($row['email']) ?></td>
                    <td><?= $row['is_admin'] ? 'Admin' : 'User' ?></td>
                    <td>
                        <?php if ($row['is_admin']): ?>
                            <form method="post" style="display:inline;">
                                <input type="hidden" name="user_id" value="<?= $row['user_id'] ?>">
                                <button type="submit" name="action" value="demote">Demote</button>
                            </form>
                        <?php else: ?>
                            <form method="post" style="display:inline;">
                                <input type="hidden" name="user_id" value="<?= $row['user_id'] ?>">
                                <button type="submit" name="action" value="promote">Promote</button>
                            </form>
                        <?php endif; ?>
                        <form method="post" style="display:inline;">
                            <input type="hidden" name="user_id" value="<?= $row['user_id'] ?>">
                            <button type="submit" name="action" value="delete" onclick="return confirm('Are you sure you want to delete this user?');">Delete</button>
                        </form>
                    </td>
                </tr>
            <?php endwhile; ?>
        </tbody>
    </table>
</div>
</body>
</html>
