<?php
session_start();
include('mysqli_connect.php');

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php'); // Redirect to login if not logged in
    exit();
}

// Assign a valid integer user_id for admin
$user_id = ($_SESSION['user_id'] === 'admin') ? 1 : intval($_SESSION['user_id']);

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $title = mysqli_real_escape_string($dbc, $_POST['blogpost_title']);
    $body = mysqli_real_escape_string($dbc, $_POST['blogpost_body']);

    $query = "INSERT INTO blogposts (user_id, blogpost_title, blogpost_body) VALUES ('$user_id', '$title', '$body')";
    mysqli_query($dbc, $query) or die(mysqli_error($dbc));
    header('Location: index.php'); // Redirect to homepage
    exit();
}
?>

<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
    <style>
        /* Inline style to adjust the textarea */
        textarea {
            width: 100%; /* Full width of the container */
            height: 200px; /* Increased height for more writing space */
            font-size: 16px; /* Larger font size for readability */
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 8px;
            resize: vertical; /* Allow resizing only vertically */
            box-sizing: border-box;
        }

        /* Optional styling for the input */
        input[type="text"] {
            width: 100%;
            padding: 10px;
            font-size: 16px;
            border: 1px solid #ccc;
            border-radius: 8px;
            box-sizing: border-box;
        }

        /* Button styling */
        button {
            background-color: #4b4a47;
            color: white;
            padding: 10px 15px;
            font-size: 16px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            margin-top: 10px;
        }

        button:hover {
            background-color: #d1af8a;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Add New Blog Post</h1>
    <form action="newblogpost.php" method="post">
        <input type="text" name="blogpost_title" placeholder="Blog Post Title" required>
        <textarea name="blogpost_body" placeholder="Blog Post Body" required></textarea>
        <button type="submit">Submit</button>
    </form>
    <a href="index.php">Back to Blog Posts</a>
</div>
</body>
</html>

