<?php
session_start();
include('mysqli_connect.php');

// Check if the user is an admin
if (!isset($_SESSION['is_admin']) || !$_SESSION['is_admin']) {
    header('Location: login.php'); // Redirect to login if not admin
    exit();
}

// Get the blogpost_id from the URL
if (!isset($_GET['blogpost_id'])) {
    header('Location: index.php'); // Redirect if no ID provided
    exit();
}

$blogpost_id = (int)$_GET['blogpost_id'];

// Fetch the existing blog post data
$query = "SELECT * FROM blogposts WHERE blogpost_id = $blogpost_id";
$result = mysqli_query($dbc, $query);
if (mysqli_num_rows($result) == 0) {
    header('Location: index.php'); // Redirect if post not found
    exit();
}
$post = mysqli_fetch_assoc($result);

// Update the blog post
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $title = mysqli_real_escape_string($dbc, $_POST['blogpost_title']);
    $body = mysqli_real_escape_string($dbc, $_POST['blogpost_body']);

    $query = "UPDATE blogposts SET blogpost_title = '$title', blogpost_body = '$body' WHERE blogpost_id = $blogpost_id";
    mysqli_query($dbc, $query) or die(mysqli_error($dbc));
    header('Location: index.php'); // Redirect after update
    exit();
}
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<div class="container">
    <h1>Update Blog Post</h1>
    <form action="update.php?blogpost_id=<?= $blogpost_id ?>" method="post">
        <input type="text" name="blogpost_title" value="<?= htmlspecialchars($post['blogpost_title']) ?>" required>
        <textarea name="blogpost_body" required><?= htmlspecialchars($post['blogpost_body']) ?></textarea>
        <button type="submit">Update</button>
    </form>
    <a href="index.php">Back to Blog Posts</a>
</div>
</body>
</html>
