<?php
session_start();
include('mysqli_connect.php');

// Get the blogpost_id from the URL
if (!isset($_GET['blogpost_id'])) {
    header('Location: index.php'); // Redirect if no ID provided
    exit();
}

$blogpost_id = (int)$_GET['blogpost_id'];

// Fetch comments for the blog post
$query = "SELECT comments.*, users.first_name, users.last_name FROM comments 
          JOIN users ON comments.user_id = users.user_id 
          WHERE comments.blogpost_id = $blogpost_id ORDER BY comment_timestamp DESC";
$result = mysqli_query($dbc, $query);
?>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<div class="container">
    <h1>Comments</h1>
    <?php while ($row = mysqli_fetch_assoc($result)): ?>
        <div>
            <p><?= htmlspecialchars($row['comment_body']) ?></p>
            <small>By <?= htmlspecialchars($row['first_name']) ?> <?= htmlspecialchars($row['last_name']) ?> on <?= htmlspecialchars($row['comment_timestamp']) ?></small>
        </div>
    <?php endwhile; ?>
    <?php if (isset($_SESSION['user_id'])): ?>
        <a href="newcomment.php?blogpost_id=<?= $blogpost_id ?>">Add Comment</a>
    <?php endif; ?>
    <a href="index.php">Back to Blog Posts</a>
</div>
</body>
</html>
