<?php
// Include database connection
include '../includes/mysqli.php';

// Start session
session_start();

// Check if user is logged in and is a seller
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'seller') {
    header("Location: ../login.php");
    exit();
}

// Validate property ID
if (!isset($_GET['id']) || empty($_GET['id'])) {
    die("Invalid property ID.");
}

$property_id = $_GET['id'];
$user_id = $_SESSION['user_id'];

// Verify the property belongs to the logged-in seller
$stmt = $conn->prepare("SELECT id FROM properties WHERE id = ? AND user_id = ?");
$stmt->bind_param("ii", $property_id, $user_id);
$stmt->execute();
$property = $stmt->get_result()->fetch_assoc();
$stmt->close();

if (!$property) {
    die("Property not found or you do not have permission to delete it.");
}

// Delete the property
$stmt = $conn->prepare("DELETE FROM properties WHERE id = ? AND user_id = ?");
$stmt->bind_param("ii", $property_id, $user_id);

if ($stmt->execute()) {
    $stmt->close();
    // Redirect back to the seller dashboard
    header("Location: seller.php?message=Property+deleted+successfully");
    exit();
} else {
    $stmt->close();
    die("Failed to delete the property.");
}
?>
